%global momorel 3
%global qtver 4.6.3
%global qtrel 1m
%global cmakever 2.6.4
%global cmakerel 1m

Name:           libindicate-qt
Summary:        Qt bindings for libindicate
Url:            https://launchpad.net/libindicate-qt
Version:        0.2.5
Release:        %{momorel}m%{?dist}
License:        LGPLv3
Group:          System Environment/Libraries
Source:         http://launchpad.net/%{name}/trunk/0.2.5/+download/%{name}-%{version}.tar.bz2
NoSource:       0
Requires:       qt >= %{qtver}-%{qtrel}
BuildRequires:  cmake >= %{cmakever}-%{cmakerel}
BuildRequires:  qt-devel >= %{qtver}-%{qtrel}
BuildRequires:  libindicate-devel >= 0.3.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This project provides a set of Qt bindings for libindicate, 
the indicator system developed by Canonical Desktop Experience team.

%package devel
License:        LGPLv3
Group:          System Environment/Libraries
Summary:        header files and libraries for %{name}
Provides:       %{name} = %{version}-%{release}

%description devel
%{summary}

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING* NEWS RELEASE_CHECK_LIST
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/libindicate-qt
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/indicate-qt.pc

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.5-3m)
- full rebuild for mo7 release

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.5-2m)
- rebuild against qt-4.6.3-1m

* Sat May 15 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.5-1m)
- update to 0.2.5

* Thu Dec 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.2-1m)
- initial buld for Momonga Linux
